//---------------------------------------------------------------------------
#ifndef vsTAPIThreadH
#define vsTAPIThreadH

//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Tapi.h>

typedef void __fastcall (__closure *TTAPIEventDispatch)(LINEMESSAGE *cbData);

//---------------------------------------------------------------------------
class vsTAPIThread : public TThread
{
private:
  LINEMESSAGE lmMsg_m;
  void __fastcall TAPIEvent();

protected:
  void __fastcall Execute();

public:
  __fastcall vsTAPIThread(bool CreateSuspended);

  HANDLE hTAPIEventHandle_m;
  TTAPIEventDispatch pOnTAPIEvent_m;
  HANDLE hKillThreadEventHandle_m;
  HLINEAPP hTAPILineApp_m;

};
//---------------------------------------------------------------------------
#endif
